org.apache.storm.generated

## Class TopologyStats

- java.lang.Object
- - org.apache.storm.generated.TopologyStats

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<TopologyStats>, org.apache.storm.thrift.TBase<TopologyStats,TopologyStats._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class TopologyStats
      extends Object
      implements org.apache.storm.thrift.TBase<TopologyStats,TopologyStats._Fields>, Serializable, Cloneable, Comparable<TopologyStats>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TopologyStats._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<TopologyStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopologyStats()`
    `TopologyStats(TopologyStats other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TopologyStats other)`
    `TopologyStats` | `deepCopy()`
    `boolean` | `equals(Object that)`
    `boolean` | `equals(TopologyStats that)`
    `TopologyStats._Fields` | `fieldForId(int fieldId)`
    `int` | `get_window_to_acked_size()`
    `Map<String,Long>` | `get_window_to_acked()`
    `int` | `get_window_to_complete_latencies_ms_size()`
    `Map<String,Double>` | `get_window_to_complete_latencies_ms()`
    `int` | `get_window_to_emitted_size()`
    `Map<String,Long>` | `get_window_to_emitted()`
    `int` | `get_window_to_failed_size()`
    `Map<String,Long>` | `get_window_to_failed()`
    `int` | `get_window_to_transferred_size()`
    `Map<String,Long>` | `get_window_to_transferred()`
    `Object` | `getFieldValue(TopologyStats._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_window_to_acked()` Returns true if field window_to_acked is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_window_to_complete_latencies_ms()` Returns true if field window_to_complete_latencies_ms is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_window_to_emitted()` Returns true if field window_to_emitted is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_window_to_failed()` Returns true if field window_to_failed is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_window_to_transferred()` Returns true if field window_to_transferred is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(TopologyStats._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_window_to_acked(String key, long val)`
    `void` | `put_to_window_to_complete_latencies_ms(String key, double val)`
    `void` | `put_to_window_to_emitted(String key, long val)`
    `void` | `put_to_window_to_failed(String key, long val)`
    `void` | `put_to_window_to_transferred(String key, long val)`
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_window_to_acked_isSet(boolean value)`
    `void` | `set_window_to_acked(Map<String,Long> window_to_acked)`
    `void` | `set_window_to_complete_latencies_ms_isSet(boolean value)`
    `void` | `set_window_to_complete_latencies_ms(Map<String,Double> window_to_complete_latencies_ms)`
    `void` | `set_window_to_emitted_isSet(boolean value)`
    `void` | `set_window_to_emitted(Map<String,Long> window_to_emitted)`
    `void` | `set_window_to_failed_isSet(boolean value)`
    `void` | `set_window_to_failed(Map<String,Long> window_to_failed)`
    `void` | `set_window_to_transferred_isSet(boolean value)`
    `void` | `set_window_to_transferred(Map<String,Long> window_to_transferred)`
    `void` | `setFieldValue(TopologyStats._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_window_to_acked()`
    `void` | `unset_window_to_complete_latencies_ms()`
    `void` | `unset_window_to_emitted()`
    `void` | `unset_window_to_failed()`
    `void` | `unset_window_to_transferred()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<TopologyStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TopologyStats

          public TopologyStats()

    - #### TopologyStats

          public TopologyStats(TopologyStats other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TopologyStats deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<TopologyStats,TopologyStats._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<TopologyStats,TopologyStats._Fields>`

    - #### get_window_to_emitted_size

          public int get_window_to_emitted_size()

    - #### put_to_window_to_emitted

          public void put_to_window_to_emitted(String key,
                                               long val)

    - #### get_window_to_emitted

          public Map<String,Long> get_window_to_emitted()

    - #### set_window_to_emitted

          public void set_window_to_emitted(Map<String,Long> window_to_emitted)

    - #### unset_window_to_emitted

          public void unset_window_to_emitted()

    - #### is_set_window_to_emitted

          public boolean is_set_window_to_emitted()

      Returns true if field window_to_emitted is set (has been assigned a value) and false otherwise

    - #### set_window_to_emitted_isSet

          public void set_window_to_emitted_isSet(boolean value)

    - #### get_window_to_transferred_size

          public int get_window_to_transferred_size()

    - #### put_to_window_to_transferred

          public void put_to_window_to_transferred(String key,
                                                   long val)

    - #### get_window_to_transferred

          public Map<String,Long> get_window_to_transferred()

    - #### set_window_to_transferred

          public void set_window_to_transferred(Map<String,Long> window_to_transferred)

    - #### unset_window_to_transferred

          public void unset_window_to_transferred()

    - #### is_set_window_to_transferred

          public boolean is_set_window_to_transferred()

      Returns true if field window_to_transferred is set (has been assigned a value) and false otherwise

    - #### set_window_to_transferred_isSet

          public void set_window_to_transferred_isSet(boolean value)

    - #### get_window_to_complete_latencies_ms_size

          public int get_window_to_complete_latencies_ms_size()

    - #### put_to_window_to_complete_latencies_ms

          public void put_to_window_to_complete_latencies_ms(String key,
                                                             double val)

    - #### get_window_to_complete_latencies_ms

          public Map<String,Double> get_window_to_complete_latencies_ms()

    - #### set_window_to_complete_latencies_ms

          public void set_window_to_complete_latencies_ms(Map<String,Double> window_to_complete_latencies_ms)

    - #### unset_window_to_complete_latencies_ms

          public void unset_window_to_complete_latencies_ms()

    - #### is_set_window_to_complete_latencies_ms

          public boolean is_set_window_to_complete_latencies_ms()

      Returns true if field window_to_complete_latencies_ms is set (has been assigned a value) and false otherwise

    - #### set_window_to_complete_latencies_ms_isSet

          public void set_window_to_complete_latencies_ms_isSet(boolean value)

    - #### get_window_to_acked_size

          public int get_window_to_acked_size()

    - #### put_to_window_to_acked

          public void put_to_window_to_acked(String key,
                                             long val)

    - #### get_window_to_acked

          public Map<String,Long> get_window_to_acked()

    - #### set_window_to_acked

          public void set_window_to_acked(Map<String,Long> window_to_acked)

    - #### unset_window_to_acked

          public void unset_window_to_acked()

    - #### is_set_window_to_acked

          public boolean is_set_window_to_acked()

      Returns true if field window_to_acked is set (has been assigned a value) and false otherwise

    - #### set_window_to_acked_isSet

          public void set_window_to_acked_isSet(boolean value)

    - #### get_window_to_failed_size

          public int get_window_to_failed_size()

    - #### put_to_window_to_failed

          public void put_to_window_to_failed(String key,
                                              long val)

    - #### get_window_to_failed

          public Map<String,Long> get_window_to_failed()

    - #### set_window_to_failed

          public void set_window_to_failed(Map<String,Long> window_to_failed)

    - #### unset_window_to_failed

          public void unset_window_to_failed()

    - #### is_set_window_to_failed

          public boolean is_set_window_to_failed()

      Returns true if field window_to_failed is set (has been assigned a value) and false otherwise

    - #### set_window_to_failed_isSet

          public void set_window_to_failed_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TopologyStats._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<TopologyStats,TopologyStats._Fields>`

    - #### getFieldValue

          public Object getFieldValue(TopologyStats._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<TopologyStats,TopologyStats._Fields>`

    - #### isSet

          public boolean isSet(TopologyStats._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<TopologyStats,TopologyStats._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(TopologyStats that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(TopologyStats other)

      Specified by:
        `compareTo` in interface `Comparable<TopologyStats>`

    - #### fieldForId

          public TopologyStats._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<TopologyStats,TopologyStats._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.